BEGIN 1XPOOL

IF~InParty("AEONDV") Global("AeonBrotherhoodPool","GLOBAL",2) Global("PoolPermission","GLOBAL",0)~ THEN BEGIN 1XPOOL00
SAY ~*WHO VISITS THE FOROGTTEN POOL? I AM THE GUARDIAN OF HOLY POND. TELL ME YOUR NAME, STRANGERS!*~
IF~~THEN GOTO 1XPOOL01
END

IF~~ THEN BEGIN 1XPOOL01
SAY ~*WAIT! IT THIS POSSIBLE? I SENSE THE ESSENCE OF BHAAL! LEAVE THIS HOLY PLACE, SPAWN! I WILL NOT LET YOU STAY HERE*~
IF~~THEN REPLY ~I am indeed, the Child of Bhaal, but I am here with good intentions. This is my friend – Aeon and he is dying! I must to help him!~ GOTO 1XPOOL02
IF~~THEN REPLY ~I am indeed, the Child of Bhaal, however, I will leave this place in peace.~ GOTO 1XPOOL03
END

IF~~THEN BEGIN 1XPOOL02
SAY ~*YOU ARE SAYING TRUTH. I SENSE THAT THIS MAN IS IMPORTANT TO YOU. I WILL TELL YOU THE RULES OF FORGOTTEN POOL. IT’S SACRED WATERS HAS THE ABILITY TO CURE EVEN THE WORST OF AFFLICTIONS. TO USE IT, YOU WILL NEED MY PERMISSION. HOWEVER, THE COST OF HEALING IS HIGH. YOU MUST SACRIFICE A PORTION OF YOUR HEALTH AND VIGOR TO HELP THIS MAN.*~
IF~~THEN GOTO 1XPOOL04
END

IF~~THEN BEGIN 1XPOOL04
SAY ~*IF YOU ARE DECIDED, SAY IT. I WILL GIVE YOU MY PERMISSION AND TELL YOU WHAT TO DO.*~
IF~~THEN REPLY ~I am decided.~ GOTO 1XPOOL05
IF~~THEN REPLY ~I am not.~ GOTO 1XPOOL03
END

IF~~THEN BEGIN 1XPOOL05
SAY ~*YOUR FRIEND WILL NEED A PORTION OF YOUR ESSENCE. TAKE OFF YOUR CLOTHES, STEP INTO THE POOL AND MINGLE TOGETHER YOUR BLOOD. YOU SHALL BECOME BLOOD BROTHERS AND REMEMBER THAT YOUR DECISION WILL HAVE INFLUENCE ON YOUR BODY, CHILD OF BHAAL. YOU HAVE MY PERMISSION. THE DECISION IS YOURS.*~
IF~~THEN DO ~SetGlobal("PoolPermission","GLOBAL",1)~ EXIT
END

IF~~THEN BEGIN 1XPOOL03
SAY ~*THEN LEAVE THIS PLACE, MORTAL.*~
IF~~THEN EXIT
END

IF~!Global("PoolPermission","GLOBAL",0)~ THEN BEGIN 1XPOOLX
SAY ~(This  creature says nothing.)~
IF~~THEN EXIT
END
